net.i2p.crypto.provider

## Class I2PProvider

- java.lang.Object
- - java.util.Dictionary<K,V>
  - - java.util.Hashtable<Object,Object>
    - - java.util.Properties
      - - java.security.Provider
        - - net.i2p.crypto.provider.I2PProvider

- All Implemented Interfaces:
    Serializable, Cloneable, Map<Object,Object>

      public final class I2PProvider
      extends Provider

  I2P security provider for Java cryptography.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.security.Provider

      `Provider.Service`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROVIDER_NAME`

    - ### Fields inherited from class java.util.Properties

      `defaults`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PProvider()` Construct a new provider.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addProvider()` Install the I2PProvider.

    - ### Methods inherited from class java.security.Provider

      `clear, compute, computeIfAbsent, computeIfPresent, elements, entrySet, forEach, get, getInfo, getName, getOrDefault, getProperty, getService, getServices, getVersion, keys, keySet, load, merge, put, putAll, putIfAbsent, putService, remove, remove, removeService, replace, replace, replaceAll, toString, values`

    - ### Methods inherited from class java.util.Properties

      `getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, store, storeToXML, storeToXML, stringPropertyNames`

    - ### Methods inherited from class java.util.Hashtable

      `clone, contains, containsKey, containsValue, equals, hashCode, isEmpty, rehash, size`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROVIDER_NAME

          public static final String PROVIDER_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### I2PProvider

          public I2PProvider()

      Construct a new provider. This should only be required when using runtime registration of the provider using the `Security.addProvider()` mechanism.

  - ### Method Detail

    - #### addProvider

          public static void addProvider()

      Install the I2PProvider. Harmless to call multiple times.